utils.py: Allow explode_dep_versions comparisons to have arbitrary whitespace
authorMark Hatle <mark.hatle@windriver.com>
Sun, 30 Sep 2012 00:01:45 +0000 (00:01 +0000)
committerRichard Purdie <richard.purdie@linuxfoundation.org>
Tue, 2 Oct 2012 10:20:49 +0000 (11:20 +0100)
commit39c1c12c58fadd854098cf14ebe92f4d307a36dd
tree56512fed76f0c31f3d27575432c8d12eb53b8784
parentd40448f0483a2959e9dcaac9b6dd35839f396a6e
utils.py: Allow explode_dep_versions comparisons to have arbitrary whitespace

Refactor the explode_dep_versions to be more lenient on whitespace values.

The required format is:
   foo (= 1.10)
   foo (=1.10)
   foo ( = 1.10)
   foo ( =1.10)
   foo ( = 1.10 )
   foo ( =1.10 )

Signed-off-by: Mark Hatle <mark.hatle@windriver.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
lib/bb/utils.py